(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    119023,       3164]*)
(*NotebookOutlinePosition[    119666,       3186]*)
(*  CellTagsIndexPosition[    119622,       3182]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["\<\
NOTE! In the code I use'p' instead of'd' (for no particularly good reason).\
\>", "Text"],

Cell[BoxData[
    \(\(d = p;\)\)], "Input"],

Cell[CellGroupData[{

Cell["\<\
Finite difference Einstein equations in IR region (using variables A,B,C,D)

Below are the source terms for the Laplace equations; ie.  \[CapitalDelta]X = \
srcX\
\>", "Subsubtitle"],

Cell[CellGroupData[{

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{"srcA", "=", 
          
          RowBox[{\(\((d + 1)\)\ \[ExponentialE]\^\(2\ DD[x, y]\)\ A[x, y]\), 
            "-", 
            RowBox[{\((d - 2)\), 
              RowBox[{
                SuperscriptBox["CC", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["A", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], "-", 
            FractionBox[
              RowBox[{
                RowBox[{
                  SuperscriptBox["A", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                RowBox[{
                  SuperscriptBox["B", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}]}], \(B[x, 
                y]\)], "-", 
            RowBox[{\((d - 2)\), 
              RowBox[{
                SuperscriptBox["CC", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["A", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], "-", 
            FractionBox[
              RowBox[{
                RowBox[{
                  SuperscriptBox["A", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                RowBox[{
                  SuperscriptBox["B", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}]}], \(B[x, 
                y]\)]}]}], ";"}], 
      "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
    RowBox[{
      RowBox[{
        RowBox[{"srcB", "=", 
          
          RowBox[{\(\((d + 1)\)\ \[ExponentialE]\^\(2\ DD[x, y]\)\ B[x, y]\), 
            "-", 
            RowBox[{\((d - 2)\), 
              RowBox[{
                SuperscriptBox["CC", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["B", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], "-", 
            FractionBox[
              RowBox[{
                RowBox[{
                  SuperscriptBox["A", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                RowBox[{
                  SuperscriptBox["B", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}]}], \(A[x, 
                y]\)], "-", 
            RowBox[{\((d - 2)\), 
              RowBox[{
                SuperscriptBox["CC", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["B", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], "-", 
            FractionBox[
              RowBox[{
                RowBox[{
                  SuperscriptBox["A", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                RowBox[{
                  SuperscriptBox["B", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}]}], \(A[x, 
                y]\)]}]}], ";"}], 
      "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
    RowBox[{
      RowBox[{
        RowBox[{"srcC", "=", 
          RowBox[{\(\((d + 1)\)\ \[ExponentialE]\^\(2\ DD[x, y]\)\), "-", 
            RowBox[{\((d - 2)\), 
              SuperscriptBox[
                RowBox[{
                  SuperscriptBox["CC", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}], "2"]}], 
            "-", 
            FractionBox[
              RowBox[{
                RowBox[{
                  SuperscriptBox["CC", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                RowBox[{
                  SuperscriptBox["A", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}]}], \(A[x, 
                y]\)], "-", 
            FractionBox[
              RowBox[{
                RowBox[{
                  SuperscriptBox["CC", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                RowBox[{
                  SuperscriptBox["B", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}]}], \(B[x, 
                y]\)], "-", 
            RowBox[{\((d - 2)\), 
              SuperscriptBox[
                RowBox[{
                  SuperscriptBox["CC", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}], "2"]}], 
            "-", 
            FractionBox[
              RowBox[{
                RowBox[{
                  SuperscriptBox["CC", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                RowBox[{
                  SuperscriptBox["A", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}]}], \(A[x, 
                y]\)], "-", 
            FractionBox[
              RowBox[{
                RowBox[{
                  SuperscriptBox["CC", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                RowBox[{
                  SuperscriptBox["B", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}]}], \(B[x, 
                y]\)]}]}], ";"}], 
      "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
    RowBox[{
      RowBox[{"srcD", "=", 
        RowBox[{\(\(-\(\(\((d + 1)\) \((d - 
                        2)\)\)\/2\)\)\ \[ExponentialE]\^\(2\ DD[x, y]\)\), 
          "+", 
          RowBox[{\(\(\((d - 2)\) \((d - 3)\)\)\/2\), 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{
                    SuperscriptBox["CC", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], "2"], 
                "+", 
                SuperscriptBox[
                  RowBox[{
                    SuperscriptBox["CC", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], "2"]}], 
              ")"}]}], "+", 
          RowBox[{\((d - 2)\), 
            FractionBox[
              RowBox[{
                RowBox[{
                  SuperscriptBox["CC", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                RowBox[{
                  SuperscriptBox["A", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}]}], \(A[x, 
                y]\)]}], "+", 
          RowBox[{\((d - 2)\), 
            FractionBox[
              RowBox[{
                RowBox[{
                  SuperscriptBox["CC", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                RowBox[{
                  SuperscriptBox["B", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}]}], \(B[x, 
                y]\)]}], "+", 
          FractionBox[
            RowBox[{
              RowBox[{
                SuperscriptBox["A", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["B", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(A[x, 
                y]\ B[x, y]\)], "+", 
          RowBox[{\((d - 2)\), 
            FractionBox[
              RowBox[{
                RowBox[{
                  SuperscriptBox["CC", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                RowBox[{
                  SuperscriptBox["A", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}]}], \(A[x, 
                y]\)]}], "+", 
          RowBox[{\((d - 2)\), 
            FractionBox[
              RowBox[{
                RowBox[{
                  SuperscriptBox["CC", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                RowBox[{
                  SuperscriptBox["B", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}]}], \(B[x, 
                y]\)]}], "+", 
          FractionBox[
            RowBox[{
              RowBox[{
                SuperscriptBox["A", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["B", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(A[x, 
                y]\ B[x, y]\)]}]}], ";"}]}], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcB\\)\\\" is similar to existing symbol \\\
\"\\!\\(srcA\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcC\\)\\\" is similar to existing symbols \
\\!\\({srcA, srcB}\\). \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcD\\)\\\" is similar to existing symbols \
\\!\\({srcA, srcB, srcC}\\). \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    RowBox[{\(GeneDDal::"Cpell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"srcU\\\" is similar to existing symbol \
\\\"srcT\\\". \\!\\( \\*ButtonBox[\\(More\[Ellipsis]\\), \
ButtonData:>\"General::spell1\", ButtonStyle->\"RefGuideLinkText\", \
ButtonFrame->\"None\"]\\)\"\>"}]], "Message",
  GeneratedCell->False,
  CellAutoOverwrite->False],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcS\\)\\\" is similar to existing symbols \
\\!\\({srcT, srcU}\\). \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcR\\)\\\" is similar to existing symbols \
\\!\\({srcS, srcT, srcU}\\). \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], "Message"]
}, Open  ]],

Cell["Note DX = DY", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"repl", "=", 
      RowBox[{"{", 
        RowBox[{
          RowBox[{
            RowBox[{
              SuperscriptBox["X_", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
            RowBox[{\(1/DX\), "  ", 
              RowBox[{
                SuperscriptBox["X", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}]}], ",", 
          RowBox[{
            RowBox[{
              SuperscriptBox["X_", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
            RowBox[{\(1/DX\), " ", 
              RowBox[{
                SuperscriptBox["X", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}]}], ",", 
          RowBox[{
            RowBox[{
              SuperscriptBox["X_", 
                TagBox[\((2, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
            RowBox[{\(1/DX^2\), "  ", 
              RowBox[{
                SuperscriptBox["X", 
                  TagBox[\((2, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}]}], ",", 
          RowBox[{
            RowBox[{
              SuperscriptBox["X_", 
                TagBox[\((0, 2)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
            RowBox[{\(1/DX^2\), " ", 
              RowBox[{
                SuperscriptBox["X", 
                  TagBox[\((0, 2)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}]}], ",", 
          RowBox[{
            RowBox[{
              SuperscriptBox["X_", 
                TagBox[\((1, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
            RowBox[{\(1/DX^2\), " ", 
              RowBox[{
                SuperscriptBox["X", 
                  TagBox[\((1, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}]}]}], 
        "}"}]}]], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{
            SuperscriptBox["X_", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
          FractionBox[
            RowBox[{
              SuperscriptBox["X", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "DX"]}], ",", 
        
        RowBox[{
          RowBox[{
            SuperscriptBox["X_", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
          FractionBox[
            RowBox[{
              SuperscriptBox["X", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "DX"]}], ",", 
        
        RowBox[{
          RowBox[{
            SuperscriptBox["X_", 
              TagBox[\((2, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
          FractionBox[
            RowBox[{
              SuperscriptBox["X", 
                TagBox[\((2, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], \(DX\^2\)]}], 
        ",", 
        RowBox[{
          RowBox[{
            SuperscriptBox["X_", 
              TagBox[\((0, 2)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
          FractionBox[
            RowBox[{
              SuperscriptBox["X", 
                TagBox[\((0, 2)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], \(DX\^2\)]}], 
        ",", 
        RowBox[{
          RowBox[{
            SuperscriptBox["X_", 
              TagBox[\((1, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
          FractionBox[
            RowBox[{
              SuperscriptBox["X", 
                TagBox[\((1, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), 
              "]"}], \(DX\^2\)]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(srcA2 = srcA /. repl\)], "Input"],

Cell[BoxData[
    RowBox[{\(\[ExponentialE]\^\(2\ DD[x, y]\)\ \((1 + p)\)\ A[x, y]\), "-", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["A", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["B", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ B[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["A", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["CC", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\)], 
      "-", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["A", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["B", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ B[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["A", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["CC", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), 
            "]"}]}], \(DX\^2\)]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(srcB2 = srcB /. repl\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcB2\\)\\\" is similar to existing symbol \
\\\"\\!\\(srcA2\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    RowBox[{\(\[ExponentialE]\^\(2\ DD[x, y]\)\ \((1 + p)\)\ B[x, y]\), "-", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["A", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["B", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ A[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["B", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["CC", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\)], 
      "-", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["A", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["B", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ A[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["B", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["CC", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), 
            "]"}]}], \(DX\^2\)]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(srcC2 = srcC /. repl\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcC2\\)\\\" is similar to existing symbols \
\\!\\({srcA2, srcB2}\\). \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    RowBox[{\(\[ExponentialE]\^\(2\ DD[x, y]\)\ \((1 + p)\)\), "-", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["A", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["CC", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ A[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["B", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["CC", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ B[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["CC", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(DX\^2\)], "-", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["A", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["CC", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ A[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["B", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["CC", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ B[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["CC", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(DX\^2\)]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(srcD2 = srcD /. repl\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcD2\\)\\\" is similar to existing symbols \
\\!\\({srcA2, srcB2, srcC2}\\). \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    RowBox[{\(\(-\(1\/2\)\)\ \[ExponentialE]\^\(2\ DD[x, y]\)\ \((\(-2\) + 
            p)\)\ \((1 + p)\)\), "+", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["A", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["B", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ A[x, 
            y]\ B[x, y]\)], "+", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["A", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["CC", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ A[x, 
            y]\)], "+", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["B", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["CC", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ B[x, 
            y]\)], "+", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["A", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["B", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ A[x, 
            y]\ B[x, y]\)], "+", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["A", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["CC", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ A[x, 
            y]\)], "+", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["B", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["CC", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ B[x, 
            y]\)], "+", 
      RowBox[{\(1\/2\), " ", \((\(-3\) + p)\), " ", \((\(-2\) + p)\), " ", 
        RowBox[{"(", 
          RowBox[{
            FractionBox[
              SuperscriptBox[
                RowBox[{
                  SuperscriptBox["CC", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}], 
                "2"], \(DX\^2\)], "+", 
            FractionBox[
              SuperscriptBox[
                RowBox[{
                  SuperscriptBox["CC", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}], 
                "2"], \(DX\^2\)]}], ")"}]}]}]], "Output"]
}, Open  ]],

Cell[BoxData[{
    \(\(\(A[x_, 
          y_] = \(ListInterpolation[
            Table[a[i, j], {i, 0, 4}, {j, 0, 4}], {{0, 4}, {0, 4\ }}, 
            InterpolationOrder \[Rule] 2]\)[x, y];\)\(\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(\(\(B[x_, 
          y_] = \(ListInterpolation[
            Table[b[i, j], {i, 0, 4}, {j, 0, 4}], {{0, 4}, {0, 4}}, 
            InterpolationOrder \[Rule] 2]\)[x, y];\)\(\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(\(\(CC[x_, 
          y_] = \(ListInterpolation[
            Table[c[i, j], {i, 0, 4}, {j, 0, 4}], {{0, 4}, {0, 4}}, 
            InterpolationOrder \[Rule] 2]\)[x, y];\)\(\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(\(DD[x_, 
          y_] = \(ListInterpolation[
            Table[d[i, j], {i, 0, 4}, {j, 0, 4}], {{0, 4}, {0, 4}}, 
            InterpolationOrder \[Rule] 2]\)[x, y];\)\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(srcA3 = FullSimplify[srcA2 /. {x \[Rule] 1, y \[Rule] 1}]\)], "Input"],

Cell[BoxData[
    \(1\/4\ \((4\ \[ExponentialE]\^\(2\ p[1, 1]\)\ \((1 + p)\)\ a[1, 
              1] - \(\((a[1, 0] - a[1, 2])\)\ \((b[1, 0] - b[1, 2])\)\)\/\(DX\
\^2\ b[1, 1]\) - \(\((a[0, 1] - a[2, 1])\)\ \((b[0, 1] - b[2, \
1])\)\)\/\(DX\^2\ b[1, 1]\) - \(\((\(-2\) + p)\)\ \((a[1, 0] - a[1, 2])\)\ \
\((c[1, 0] - c[1, 2])\)\)\/DX\^2 - \(\((\(-2\) + p)\)\ \((a[0, 1] - a[2, \
1])\)\ \((c[0, 1] - c[2, 1])\)\)\/DX\^2)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(srcB3 = FullSimplify[srcB2 /. {x \[Rule] 1, y \[Rule] 1}]\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcB3\\)\\\" is similar to existing symbol \
\\\"\\!\\(srcA3\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \(1\/4\ \((4\ \[ExponentialE]\^\(2\ p[1, 1]\)\ \((1 + p)\)\ b[1, 
              1] + \(\(1\/\(DX\^2\ a[1, 
                  1]\)\)\((\(-\((a[1, 0] - a[1, 2])\)\)\ \((b[1, 0] - 
                    b[1, 2])\) + a[2, 1]\ \((b[0, 1] - b[2, 1])\) + 
              a[0, 1]\ \((\(-b[0, 1]\) + b[2, 1])\) + \((\(-2\) + p)\)\ a[1, 
                  1]\ \((\(-\((b[1, 0] - b[1, 2])\)\)\ \((c[1, 0] - 
                          c[1, 2])\) - \((b[0, 1] - b[2, 1])\)\ \((c[0, 1] - 
                          c[2, 1])\))\))\)\))\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(srcC3 = FullSimplify[srcC2 /. {x \[Rule] 1, y \[Rule] 1}]\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcC3\\)\\\" is similar to existing symbols \
\\!\\({srcA3, srcB3}\\). \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \(1\/4\ \((4\ \[ExponentialE]\^\(2\ p[1, 1]\)\ \((1 + 
                p)\) - \(\((a[1, 0] - a[1, 2])\)\ \((c[1, 0] - c[1, 2])\)\)\/\
\(DX\^2\ a[1, 1]\) - \(\((b[1, 0] - b[1, 2])\)\ \((c[1, 0] - c[1, \
2])\)\)\/\(DX\^2\ b[1, 1]\) - \(\((\(-2\) + p)\)\ \((c[1, 0] - c[1, \
2])\)\^2\)\/DX\^2 - \(\((a[0, 1] - a[2, 1])\)\ \((c[0, 1] - c[2, \
1])\)\)\/\(DX\^2\ a[1, 1]\) - \(\((b[0, 1] - b[2, 1])\)\ \((c[0, 1] - c[2, \
1])\)\)\/\(DX\^2\ b[1, 1]\) - \(\((\(-2\) + p)\)\ \((c[0, 1] - c[2, \
1])\)\^2\)\/DX\^2)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(srcD3 = FullSimplify[srcD2 /. {x \[Rule] 1, y \[Rule] 1}]\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcD3\\)\\\" is similar to existing symbols \
\\!\\({srcA3, srcB3, srcC3}\\). \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \(1\/4\ \((\(-2\)\ \[ExponentialE]\^\(2\ p[1, 1]\)\ \((\(-2\) + 
                p)\)\ \((1 + 
                p)\) + \(\((a[1, 0] - a[1, 2])\)\ \((b[1, 0] - b[1, 2])\)\)\/\
\(DX\^2\ a[1, 1]\ b[1, 1]\) + \(\((a[0, 1] - a[2, 1])\)\ \((b[0, 1] - b[2, \
1])\)\)\/\(DX\^2\ a[1, 1]\ b[1, 1]\) + \(\((\(-2\) + p)\)\ \((a[1, 0] - a[1, \
2])\)\ \((c[1, 0] - c[1, 2])\)\)\/\(DX\^2\ a[1, 1]\) + \(\((\(-2\) + p)\)\ \
\((b[1, 0] - b[1, 2])\)\ \((c[1, 0] - c[1, 2])\)\)\/\(DX\^2\ b[1, 1]\) + \
\(\((\(-3\) + p)\)\ \((\(-2\) + p)\)\ \((\((c[1, 0] - c[1, 2])\)\^2 + \((c[0, \
1] - c[2, 1])\)\^2)\)\)\/\(2\ DX\^2\) + \(\((\(-2\) + p)\)\ \((a[0, 1] - a[2, \
1])\)\ \((c[0, 1] - c[2, 1])\)\)\/\(DX\^2\ a[1, 1]\) + \(\((\(-2\) + p)\)\ \
\((b[0, 1] - b[2, 1])\)\ \((c[0, 1] - c[2, 1])\)\)\/\(DX\^2\ b[1, 1]\))\)\)], \
"Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(repl = {Exp[x_] \[Rule] exp[x], 
        Power[x_, y_] \[Rule] pow[x, y]}\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(exp\\)\\\" is similar to existing symbol \
\\\"\\!\\(Exp\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \({\[ExponentialE]\^x_ \[Rule] exp[x], 
      x_\^y_ \[Rule] pow[x, y]}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CForm[srcA3 //. repl]\)], "Input"],

Cell["\<\
(4*(1 + p)*a(1,1)*exp(2*p(1,1)) - (-2 + p)*(a(1,0) - a(1,2))*(c(1,0) - \
c(1,2))*pow(DX,-2) - 
     (-2 + p)*(a(0,1) - a(2,1))*(c(0,1) - c(2,1))*pow(DX,-2) - 
     (a(1,0) - a(1,2))*(b(1,0) - b(1,2))*pow(DX,-2)*pow(b(1,1),-1) - 
     (a(0,1) - a(2,1))*(b(0,1) - b(2,1))*pow(DX,-2)*pow(b(1,1),-1))/4.\
\>", "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CForm[srcB3 //. repl]\)], "Input"],

Cell["\<\
(4*(1 + p)*b(1,1)*exp(2*p(1,1)) + (-((a(1,0) - a(1,2))*(b(1,0) - b(1,2))) + \
a(2,1)*(b(0,1) - b(2,1)) + 
        a(0,1)*(-b(0,1) + b(2,1)) + (-2 + p)*a(1,1)*
         (-((b(1,0) - b(1,2))*(c(1,0) - c(1,2))) - (b(0,1) - b(2,1))*(c(0,1) \
- c(2,1))))*pow(DX,-2)*pow(a(1,1),-1))/4.\
\>", "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CForm[srcC3 //. repl]\)], "Input"],

Cell["\<\
(4*(1 + p)*exp(2*p(1,1)) - (a(1,0) - a(1,2))*(c(1,0) - \
c(1,2))*pow(DX,-2)*pow(a(1,1),-1) - 
     (a(0,1) - a(2,1))*(c(0,1) - c(2,1))*pow(DX,-2)*pow(a(1,1),-1) - 
     (b(1,0) - b(1,2))*(c(1,0) - c(1,2))*pow(DX,-2)*pow(b(1,1),-1) - 
     (b(0,1) - b(2,1))*(c(0,1) - c(2,1))*pow(DX,-2)*pow(b(1,1),-1) - (-2 + \
p)*pow(DX,-2)*pow(c(1,0) - c(1,2),2) - 
     (-2 + p)*pow(DX,-2)*pow(c(0,1) - c(2,1),2))/4.\
\>", "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CForm[srcD3 //. repl]\)], "Input"],

Cell["\<\
(-2*(-2 + p)*(1 + p)*exp(2*p(1,1)) + (-2 + p)*(a(1,0) - a(1,2))*(c(1,0) - \
c(1,2))*pow(DX,-2)*pow(a(1,1),-1) + 
     (-2 + p)*(a(0,1) - a(2,1))*(c(0,1) - c(2,1))*pow(DX,-2)*pow(a(1,1),-1) + \

     (-2 + p)*(b(1,0) - b(1,2))*(c(1,0) - c(1,2))*pow(DX,-2)*pow(b(1,1),-1) + \

     (-2 + p)*(b(0,1) - b(2,1))*(c(0,1) - c(2,1))*pow(DX,-2)*pow(b(1,1),-1) + \

     (a(1,0) - a(1,2))*(b(1,0) - \
b(1,2))*pow(DX,-2)*pow(a(1,1),-1)*pow(b(1,1),-1) + 
     (a(0,1) - a(2,1))*(b(0,1) - \
b(2,1))*pow(DX,-2)*pow(a(1,1),-1)*pow(b(1,1),-1) + 
     ((-3 + p)*(-2 + p)*pow(DX,-2)*(pow(c(1,0) - c(1,2),2) + pow(c(0,1) - \
c(2,1),2)))/2.)/4.\
\>", "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Finite difference Einstein equations in UV region (using variables T,U,S,R \
and function f)\
\>", "Subsubtitle"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      RowBox[{"srcT", "=", 
        RowBox[{
          RowBox[{\(-\((d + 1)\)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{\(T[x, y]\), " ", 
                  SuperscriptBox[
                    RowBox[{
                      SuperscriptBox["f", 
                        TagBox[\((0, 1)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, y\), "]"}], 
                    "2"]}]}], \(f[x, y]\^2\)]}], "+", 
          RowBox[{\((d + 1)\), 
            FractionBox[
              RowBox[{" ", 
                
                RowBox[{\(\[ExponentialE]\^\(2\ R[x, y]\)\), " ", \(T[x, y]\),
                   " ", 
                  SuperscriptBox[
                    RowBox[{
                      SuperscriptBox["f", 
                        TagBox[\((0, 1)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, y\), "]"}], 
                    "2"]}]}], \(f[x, y]\^2\)]}], "+", 
          RowBox[{\((d - 2)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{\(T[x, y]\), " ", 
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["S", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(f[
                x, y]\)]}], "+", 
          RowBox[{\((d + 1)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["T", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(f[
                x, y]\)]}], "-", 
          RowBox[{\((d - 2)\), " ", 
            RowBox[{
              SuperscriptBox["S", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
            RowBox[{
              SuperscriptBox["T", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}]}], "+", 
          FractionBox[
            RowBox[{\(T[x, y]\), " ", 
              RowBox[{
                SuperscriptBox["f", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["U", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(f[x, 
                y]\ U[x, y]\)], "-", 
          FractionBox[
            RowBox[{
              RowBox[{
                SuperscriptBox["T", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["U", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(U[x, 
              y]\)], "-", 
          RowBox[{\((d + 1)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{\(T[x, y]\), " ", 
                  SuperscriptBox[
                    RowBox[{
                      SuperscriptBox["f", 
                        TagBox[\((1, 0)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, y\), "]"}], 
                    "2"]}]}], \(f[x, y]\^2\)]}], "+", 
          RowBox[{\((d + 1)\), 
            FractionBox[
              RowBox[{" ", 
                
                RowBox[{\(\[ExponentialE]\^\(2\ R[x, y]\)\), " ", \(T[x, y]\),
                   " ", 
                  SuperscriptBox[
                    RowBox[{
                      SuperscriptBox["f", 
                        TagBox[\((1, 0)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, y\), "]"}], 
                    "2"]}]}], \(f[x, y]\^2\)]}], "+", 
          RowBox[{\((d - 2)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{\(T[x, y]\), " ", 
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["S", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(f[
                x, y]\)]}], "+", 
          RowBox[{\((d + 1)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["T", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(f[
                x, y]\)]}], "-", 
          RowBox[{\((d - 2)\), " ", 
            RowBox[{
              SuperscriptBox["S", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
            RowBox[{
              SuperscriptBox["T", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}]}], "+", 
          FractionBox[
            RowBox[{\(T[x, y]\), " ", 
              RowBox[{
                SuperscriptBox["f", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["U", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(f[x, 
                y]\ U[x, y]\)], "-", 
          FractionBox[
            RowBox[{
              RowBox[{
                SuperscriptBox["T", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["U", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(U[x, 
              y]\)]}]}], ";"}]], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcT\\)\\\" is similar to existing symbols \
\\!\\({srcA, srcB, srcC, srcD}\\). \
\\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\
\\\", ButtonFrame->None, ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], \
"Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      RowBox[{"srcU", "=", 
        RowBox[{
          RowBox[{\(-\((d + 1)\)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{\(U[x, y]\), " ", 
                  SuperscriptBox[
                    RowBox[{
                      SuperscriptBox["f", 
                        TagBox[\((0, 1)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, y\), "]"}], 
                    "2"]}]}], \(f[x, y]\^2\)]}], "+", 
          RowBox[{\((d + 1)\), 
            FractionBox[
              RowBox[{" ", 
                
                RowBox[{\(\[ExponentialE]\^\(2\ R[x, y]\)\), " ", \(U[x, y]\),
                   " ", 
                  SuperscriptBox[
                    RowBox[{
                      SuperscriptBox["f", 
                        TagBox[\((0, 1)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, y\), "]"}], 
                    "2"]}]}], \(f[x, y]\^2\)]}], "+", 
          RowBox[{\((d - 2)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{\(U[x, y]\), " ", 
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["S", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(f[
                x, y]\)]}], "+", 
          FractionBox[
            RowBox[{\(U[x, y]\), " ", 
              RowBox[{
                SuperscriptBox["f", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["T", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(f[x, 
                y]\ T[x, y]\)], "+", 
          RowBox[{\((d + 1)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["U", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(f[
                x, y]\)]}], "-", 
          RowBox[{\((d - 2)\), " ", 
            RowBox[{
              SuperscriptBox["S", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
            RowBox[{
              SuperscriptBox["U", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}]}], "-", 
          FractionBox[
            RowBox[{
              RowBox[{
                SuperscriptBox["T", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["U", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(T[x, 
              y]\)], "-", 
          RowBox[{\((d + 1)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{\(U[x, y]\), " ", 
                  SuperscriptBox[
                    RowBox[{
                      SuperscriptBox["f", 
                        TagBox[\((1, 0)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, y\), "]"}], 
                    "2"]}]}], \(f[x, y]\^2\)]}], "+", 
          RowBox[{\((d + 1)\), 
            FractionBox[
              RowBox[{" ", 
                
                RowBox[{\(\[ExponentialE]\^\(2\ R[x, y]\)\), " ", \(U[x, y]\),
                   " ", 
                  SuperscriptBox[
                    RowBox[{
                      SuperscriptBox["f", 
                        TagBox[\((1, 0)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, y\), "]"}], 
                    "2"]}]}], \(f[x, y]\^2\)]}], "+", 
          RowBox[{\((d - 2)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{\(U[x, y]\), " ", 
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["S", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(f[
                x, y]\)]}], "+", 
          FractionBox[
            RowBox[{\(U[x, y]\), " ", 
              RowBox[{
                SuperscriptBox["f", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["T", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(f[x, 
                y]\ T[x, y]\)], "+", 
          RowBox[{\((d + 1)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["U", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(f[
                x, y]\)]}], "-", 
          RowBox[{\((d - 2)\), " ", 
            RowBox[{
              SuperscriptBox["S", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
            RowBox[{
              SuperscriptBox["U", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}]}], "-", 
          FractionBox[
            RowBox[{
              RowBox[{
                SuperscriptBox["T", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["U", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(T[x, 
              y]\)]}]}], ";"}]], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcU\\)\\\" is similar to existing symbols \
\\!\\({srcA, srcB, srcC, srcD, srcT}\\). \\!\\(\\*ButtonBox[\\\"More\
\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      RowBox[{"srcS", "=", 
        RowBox[{
          RowBox[{\(-\((d + 1)\)\), 
            FractionBox[
              RowBox[{" ", 
                SuperscriptBox[
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], 
                  "2"]}], \(f[x, y]\^2\)]}], "+", 
          RowBox[{\((d + 1)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{\(\[ExponentialE]\^\(2\ R[x, y]\)\), " ", 
                  SuperscriptBox[
                    RowBox[{
                      SuperscriptBox["f", 
                        TagBox[\((0, 1)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, y\), "]"}], 
                    "2"]}]}], \(f[x, y]\^2\)]}], "+", 
          RowBox[{"2", \((d - 1)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["S", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(f[
                x, y]\)]}], "-", 
          RowBox[{\((d - 2)\), " ", 
            SuperscriptBox[
              RowBox[{
                SuperscriptBox["S", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], "2"]}], "+",
           
          FractionBox[
            RowBox[{
              RowBox[{
                SuperscriptBox["f", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["T", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(f[x, 
                y]\ T[x, y]\)], "-", 
          FractionBox[
            RowBox[{
              RowBox[{
                SuperscriptBox["S", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["T", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(T[x, 
              y]\)], "+", 
          FractionBox[
            RowBox[{
              RowBox[{
                SuperscriptBox["f", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["U", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(f[x, 
                y]\ U[x, y]\)], "-", 
          FractionBox[
            RowBox[{
              RowBox[{
                SuperscriptBox["S", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["U", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(U[x, 
              y]\)], "-", 
          RowBox[{\((d + 1)\), 
            FractionBox[
              RowBox[{" ", 
                SuperscriptBox[
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], 
                  "2"]}], \(f[x, y]\^2\)]}], "+", 
          RowBox[{\((d + 1)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{\(\[ExponentialE]\^\(2\ R[x, y]\)\), " ", 
                  SuperscriptBox[
                    RowBox[{
                      SuperscriptBox["f", 
                        TagBox[\((1, 0)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, y\), "]"}], 
                    "2"]}]}], \(f[x, y]\^2\)]}], "+", 
          RowBox[{"2", \((d - 1)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["S", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(f[
                x, y]\)]}], "-", 
          RowBox[{\((d - 2)\), " ", 
            SuperscriptBox[
              RowBox[{
                SuperscriptBox["S", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], "2"]}], "+",
           
          FractionBox[
            RowBox[{
              RowBox[{
                SuperscriptBox["f", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["T", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(f[x, 
                y]\ T[x, y]\)], "-", 
          FractionBox[
            RowBox[{
              RowBox[{
                SuperscriptBox["S", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["T", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(T[x, 
              y]\)], "+", 
          FractionBox[
            RowBox[{
              RowBox[{
                SuperscriptBox["f", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["U", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(f[x, 
                y]\ U[x, y]\)], "-", 
          FractionBox[
            RowBox[{
              RowBox[{
                SuperscriptBox["S", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["U", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(U[x, 
              y]\)]}]}], ";"}]], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcS\\)\\\" is similar to existing symbols \
\\!\\({srcA, srcB, srcC, srcD, srcT, srcU}\\). \\!\\(\\*ButtonBox[\\\"More\
\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      RowBox[{"srcR", "=", 
        RowBox[{
          RowBox[{\(\(\((d + 1)\) \((d - 2)\)\)\/2\), 
            FractionBox[
              SuperscriptBox[
                RowBox[{
                  SuperscriptBox["f", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}], 
                "2"], \(f[x, y]\^2\)]}], "-", 
          RowBox[{\(\(\((d + 1)\) \((d - 2)\)\)\/2\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{\(\[ExponentialE]\^\(2\ R[x, y]\)\), " ", 
                  SuperscriptBox[
                    RowBox[{
                      SuperscriptBox["f", 
                        TagBox[\((0, 1)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, y\), "]"}], 
                    "2"]}]}], \(f[x, y]\^2\)]}], "-", 
          RowBox[{\((d - 2)\), \((d - 1)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["S", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(f[
                x, y]\)]}], "+", 
          RowBox[{\(\(\((d - 2)\) \((d - 3)\)\)\/2\), 
            SuperscriptBox[
              RowBox[{
                SuperscriptBox["S", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], "2"]}], "-",
           
          RowBox[{\((d - 1)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["T", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(f[
                  x, y]\ T[x, y]\)]}], "+", 
          RowBox[{\((d - 2)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox["S", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["T", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(T[
                x, y]\)]}], "-", 
          RowBox[{\((d - 1)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["U", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(f[
                  x, y]\ U[x, y]\)]}], "+", 
          RowBox[{\((d - 2)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox["S", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["U", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(U[
                x, y]\)]}], "+", 
          FractionBox[
            RowBox[{
              RowBox[{
                SuperscriptBox["T", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["U", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(T[x, 
                y]\ U[x, y]\)], "+", 
          RowBox[{\(\(\((d + 1)\) \((d - 2)\)\)\/2\), 
            FractionBox[
              SuperscriptBox[
                RowBox[{
                  SuperscriptBox["f", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, y\), "]"}], 
                "2"], \(f[x, y]\^2\)]}], "-", 
          RowBox[{\(\(\((d + 1)\) \((d - 2)\)\)\/2\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{\(\[ExponentialE]\^\(2\ R[x, y]\)\), " ", 
                  SuperscriptBox[
                    RowBox[{
                      SuperscriptBox["f", 
                        TagBox[\((1, 0)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, y\), "]"}], 
                    "2"]}]}], \(f[x, y]\^2\)]}], "-", 
          RowBox[{\((d - 2)\), \((d - 1)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["S", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(f[
                x, y]\)]}], "+", 
          RowBox[{\(\(\((d - 2)\) \((d - 3)\)\)\/2\), 
            SuperscriptBox[
              RowBox[{
                SuperscriptBox["S", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], "2"]}], "-",
           
          RowBox[{\((d - 1)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["T", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(f[
                  x, y]\ T[x, y]\)]}], "+", 
          RowBox[{\((d - 2)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox["S", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["T", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(T[
                x, y]\)]}], "-", 
          RowBox[{\((d - 1)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["U", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(f[
                  x, y]\ U[x, y]\)]}], "+", 
          RowBox[{\((d - 2)\), 
            FractionBox[
              RowBox[{" ", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox["S", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
                  RowBox[{
                    SuperscriptBox["U", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], \(U[
                x, y]\)]}], "+", 
          FractionBox[
            RowBox[{
              RowBox[{
                SuperscriptBox["T", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
              RowBox[{
                SuperscriptBox["U", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}], \(T[x, 
                y]\ U[x, y]\)]}]}], ";"}]], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcR\\)\\\" is similar to existing symbols \
\\!\\({srcA, srcB, srcC, srcD, srcS, srcT, srcU}\\). \
\\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\
\\\", ButtonFrame->None, ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], \
"Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"repl", "=", 
      RowBox[{"{", 
        RowBox[{
          RowBox[{
            RowBox[{
              SuperscriptBox["X_", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
            RowBox[{\(1/DX\), "  ", 
              RowBox[{
                SuperscriptBox["X", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}]}], ",", 
          RowBox[{
            RowBox[{
              SuperscriptBox["X_", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
            RowBox[{\(1/DX\), " ", 
              RowBox[{
                SuperscriptBox["X", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}]}], ",", 
          RowBox[{
            RowBox[{
              SuperscriptBox["X_", 
                TagBox[\((2, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
            RowBox[{\(1/DX^2\), "  ", 
              RowBox[{
                SuperscriptBox["X", 
                  TagBox[\((2, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}]}], ",", 
          RowBox[{
            RowBox[{
              SuperscriptBox["X_", 
                TagBox[\((0, 2)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
            RowBox[{\(1/DX^2\), " ", 
              RowBox[{
                SuperscriptBox["X", 
                  TagBox[\((0, 2)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}]}], ",", 
          RowBox[{
            RowBox[{
              SuperscriptBox["X_", 
                TagBox[\((1, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
            RowBox[{\(1/DX^2\), " ", 
              RowBox[{
                SuperscriptBox["X", 
                  TagBox[\((1, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y\), "]"}]}]}]}], 
        "}"}]}]], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{
            SuperscriptBox["X_", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
          FractionBox[
            RowBox[{
              SuperscriptBox["X", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "DX"]}], ",", 
        
        RowBox[{
          RowBox[{
            SuperscriptBox["X_", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
          FractionBox[
            RowBox[{
              SuperscriptBox["X", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "DX"]}], ",", 
        
        RowBox[{
          RowBox[{
            SuperscriptBox["X_", 
              TagBox[\((2, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
          FractionBox[
            RowBox[{
              SuperscriptBox["X", 
                TagBox[\((2, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], \(DX\^2\)]}], 
        ",", 
        RowBox[{
          RowBox[{
            SuperscriptBox["X_", 
              TagBox[\((0, 2)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
          FractionBox[
            RowBox[{
              SuperscriptBox["X", 
                TagBox[\((0, 2)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], \(DX\^2\)]}], 
        ",", 
        RowBox[{
          RowBox[{
            SuperscriptBox["X_", 
              TagBox[\((1, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], "\[Rule]", 
          FractionBox[
            RowBox[{
              SuperscriptBox["X", 
                TagBox[\((1, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), 
              "]"}], \(DX\^2\)]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(srcT2 = srcT /. repl\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcT2\\)\\\" is similar to existing symbols \
\\!\\({srcA2, srcB2, srcC2, srcD2}\\). \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\
\\\", ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    RowBox[{
      FractionBox[
        RowBox[{\((\(-1\) - p)\), " ", \(T[x, y]\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["f", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(DX\^2\ f[x, y]\^2\)], "+", 
      FractionBox[
        RowBox[{\(\[ExponentialE]\^\(2\ R[x, y]\)\), " ", \((1 + p)\), 
          " ", \(T[x, y]\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["f", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(DX\^2\ f[x, y]\^2\)], "+", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", \(T[x, y]\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\)], "+", 
      FractionBox[
        RowBox[{\((1 + p)\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\)], 
      "+", 
      FractionBox[
        RowBox[{\(T[x, y]\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\ U[x, y]\)], "-", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ U[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{\((1 + p)\), " ", \(T[x, y]\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["f", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(DX\^2\ f[x, y]\^2\)], "+", 
      FractionBox[
        RowBox[{\(\[ExponentialE]\^\(2\ R[x, y]\)\), " ", \((1 + p)\), 
          " ", \(T[x, y]\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["f", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(DX\^2\ f[x, y]\^2\)], "+", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", \(T[x, y]\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\)], "+", 
      FractionBox[
        RowBox[{\((1 + p)\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\)], 
      "+", 
      FractionBox[
        RowBox[{\(T[x, y]\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\ U[x, y]\)], "-", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ U[x, 
            y]\)]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(srcU2 = srcU /. repl\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcU2\\)\\\" is similar to existing symbols \
\\!\\({srcA2, srcB2, srcC2, srcD2, srcT2}\\). \\!\\(\\*ButtonBox[\\\"More\
\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    RowBox[{
      FractionBox[
        RowBox[{\((\(-1\) - p)\), " ", \(U[x, y]\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["f", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(DX\^2\ f[x, y]\^2\)], "+", 
      FractionBox[
        RowBox[{\(\[ExponentialE]\^\(2\ R[x, y]\)\), " ", \((1 + p)\), 
          " ", \(U[x, y]\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["f", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(DX\^2\ f[x, y]\^2\)], "+", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", \(U[x, y]\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\)], "+", 
      FractionBox[
        RowBox[{\(U[x, y]\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\ T[x, y]\)], "+", 
      FractionBox[
        RowBox[{\((1 + p)\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\)], 
      "-", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ T[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{\((1 + p)\), " ", \(U[x, y]\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["f", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(DX\^2\ f[x, y]\^2\)], "+", 
      FractionBox[
        RowBox[{\(\[ExponentialE]\^\(2\ R[x, y]\)\), " ", \((1 + p)\), 
          " ", \(U[x, y]\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["f", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(DX\^2\ f[x, y]\^2\)], "+", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", \(U[x, y]\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\)], "+", 
      FractionBox[
        RowBox[{\(U[x, y]\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\ T[x, y]\)], "+", 
      FractionBox[
        RowBox[{\((1 + p)\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\)], 
      "-", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ T[x, 
            y]\)]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(srcS2 = srcS /. repl\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcS2\\)\\\" is similar to existing symbols \
\\!\\({srcA2, srcB2, srcC2, srcD2, srcT2, srcU2}\\). \
\\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\
\\\", ButtonFrame->None, ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], \
"Message"],

Cell[BoxData[
    RowBox[{
      FractionBox[
        RowBox[{\((\(-1\) - p)\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["f", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(DX\^2\ f[x, y]\^2\)], "+", 
      FractionBox[
        RowBox[{\(\[ExponentialE]\^\(2\ R[x, y]\)\), " ", \((1 + p)\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["f", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(DX\^2\ f[x, y]\^2\)], "+", 
      FractionBox[
        RowBox[{"2", " ", \((\(-1\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["S", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(DX\^2\)], "+", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\ T[x, y]\)], "-", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ T[x, 
            y]\)], "+", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\ U[x, y]\)], "-", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ U[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{\((1 + p)\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["f", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(DX\^2\ f[x, y]\^2\)], "+", 
      FractionBox[
        RowBox[{\(\[ExponentialE]\^\(2\ R[x, y]\)\), " ", \((1 + p)\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["f", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(DX\^2\ f[x, y]\^2\)], "+", 
      FractionBox[
        RowBox[{"2", " ", \((\(-1\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["S", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(DX\^2\)], "+", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\ T[x, y]\)], "-", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ T[x, 
            y]\)], "+", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\ U[x, y]\)], "-", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ U[x, 
            y]\)]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(srcR2 = srcR /. repl\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcR2\\)\\\" is similar to existing symbols \
\\!\\({srcA2, srcB2, srcC2, srcD2, srcS2, srcT2, srcU2}\\). \
\\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\
\\\", ButtonFrame->None, ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], \
"Message"],

Cell[BoxData[
    RowBox[{
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", \((1 + p)\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["f", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(2\ DX\^2\ f[x, y]\^2\)], "-", 
      FractionBox[
        RowBox[{\(\[ExponentialE]\^\(2\ R[x, y]\)\), " ", \((\(-2\) + p)\), 
          " ", \((1 + p)\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["f", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(2\ DX\^2\ f[x, y]\^2\)], "-", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", \((\(-1\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\)], "+", 
      FractionBox[
        RowBox[{\((\(-3\) + p)\), " ", \((\(-2\) + p)\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["S", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(2\ DX\^2\)], "-", 
      FractionBox[
        RowBox[{\((\(-1\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\ T[x, y]\)], "+", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ T[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{\((\(-1\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\ U[x, y]\)], "+", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ U[x, 
            y]\)], "+", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ T[x, 
            y]\ U[x, y]\)], "+", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", \((1 + p)\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["f", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(2\ DX\^2\ f[x, y]\^2\)], "-", 
      FractionBox[
        RowBox[{\(\[ExponentialE]\^\(2\ R[x, y]\)\), " ", \((\(-2\) + p)\), 
          " ", \((1 + p)\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["f", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(2\ DX\^2\ f[x, y]\^2\)], "-", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", \((\(-1\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\)], "+", 
      FractionBox[
        RowBox[{\((\(-3\) + p)\), " ", \((\(-2\) + p)\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox["S", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], 
            "2"]}], \(2\ DX\^2\)], "-", 
      FractionBox[
        RowBox[{\((\(-1\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\ T[x, y]\)], "+", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ T[x, 
            y]\)], "-", 
      FractionBox[
        RowBox[{\((\(-1\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ f[x, 
            y]\ U[x, y]\)], "+", 
      FractionBox[
        RowBox[{\((\(-2\) + p)\), " ", 
          RowBox[{
            SuperscriptBox["S", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ U[x, 
            y]\)], "+", 
      FractionBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}], " ", 
          RowBox[{
            SuperscriptBox["U", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, y\), "]"}]}], \(DX\^2\ T[x, 
            y]\ U[x, y]\)]}]], "Output"]
}, Open  ]],

Cell["\<\
Note in the C code we call the function f = ff in the differenced \
equations!\
\>", "Text"],

Cell[BoxData[{
    \(\(\(T[x_, 
          y_] = \(ListInterpolation[
            Table[t[i, j], {i, 0, 4}, {j, 0, 4}], {{0, 4}, {0, 4\ }}, 
            InterpolationOrder \[Rule] 2]\)[x, y];\)\(\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(\(\(U[x_, 
          y_] = \(ListInterpolation[
            Table[u[i, j], {i, 0, 4}, {j, 0, 4}], {{0, 4}, {0, 4}}, 
            InterpolationOrder \[Rule] 2]\)[x, y];\)\(\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(\(\(S[x_, 
          y_] = \(ListInterpolation[
            Table[s[i, j], {i, 0, 4}, {j, 0, 4}], {{0, 4}, {0, 4}}, 
            InterpolationOrder \[Rule] 2]\)[x, y];\)\(\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(\(\(R[x_, 
          y_] = \(ListInterpolation[
            Table[r[i, j], {i, 0, 4}, {j, 0, 4}], {{0, 4}, {0, 4}}, 
            InterpolationOrder \[Rule] 2]\)[x, y];\)\(\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(\(f[x_, 
          y_] = \(ListInterpolation[
            Table[ff[i, j], {i, 0, 4}, {j, 0, 4}], {{0, 4}, {0, 4}}, 
            InterpolationOrder \[Rule] 2]\)[x, y];\)\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(srcT3 = FullSimplify[srcT2 /. {x \[Rule] 1, y \[Rule] 1}]\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcT3\\)\\\" is similar to existing symbols \
\\!\\({srcA3, srcB3, srcC3, srcD3}\\). \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\
\\\", ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \(\(\(1\/\(4\ DX\^2\ ff[1, 1]\^2\ u[1, 
            1]\)\)\((\((\(-1\) + \[ExponentialE]\^\(2\ r[1, 1]\))\)\ \((1 + 
              p)\)\ \((\((ff[1, 0] - ff[1, 2])\)\^2 + \((ff[0, 1] - ff[2, 1])\
\)\^2)\)\ t[1, 1]\ u[1, 1] + 
        ff[1, 1]\^2\ \((\(-\((t[1, 0] - t[1, 2])\)\)\ \((u[1, 
                      0] + \((\(-2\) + p)\)\ \((s[1, 0] - s[1, 2])\)\ u[1, 
                        1] - u[1, 2])\) + 
              t[2, 1]\ \((u[0, 
                      1] + \((\(-2\) + p)\)\ \((s[0, 1] - s[2, 1])\)\ u[1, 
                        1] - u[2, 1])\) + 
              t[0, 1]\ \((\(-u[0, 
                        1]\) - \((\(-2\) + p)\)\ \((s[0, 1] - s[2, 1])\)\ u[
                        1, 1] + u[2, 1])\))\) + 
        ff[1, 1]\ \((\((ff[1, 0] - 
                    ff[1, 2])\)\ \((\((1 + p)\)\ \((t[1, 0] - t[1, 2])\)\ u[
                        1, 1] + 
                    t[1, 1]\ \((u[1, 
                            0] + \((\(-2\) + p)\)\ \((s[1, 0] - s[1, 2])\)\ u[
                              1, 1] - u[1, 2])\))\) + 
              ff[0, 1]\ \((\((1 + p)\)\ \((t[0, 1] - t[2, 1])\)\ u[1, 1] + 
                    t[1, 1]\ \((u[0, 
                            1] + \((\(-2\) + p)\)\ \((s[0, 1] - s[2, 1])\)\ u[
                              1, 1] - u[2, 1])\))\) + 
              ff[2, 1]\ \((\(-\((1 + p)\)\)\ \((t[0, 1] - t[2, 1])\)\ u[1, 
                        1] + t[1, 
                        1]\ \((\(-u[0, 
                              1]\) - \((\(-2\) + p)\)\ \((s[0, 1] - 
                                s[2, 1])\)\ u[1, 1] + 
                          u[2, 1])\))\))\))\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(srcU3 = FullSimplify[srcU2 /. {x \[Rule] 1, y \[Rule] 1}]\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcU3\\)\\\" is similar to existing symbols \
\\!\\({srcA3, srcB3, srcC3, srcD3, srcT3}\\). \\!\\(\\*ButtonBox[\\\"More\
\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \(\(\(1\/\(4\ DX\^2\)\)\((\(-\(\(\((1 + 
                    p)\)\ \((ff[1, 0] - ff[1, 2])\)\^2\ u[1, 
                  1]\)\/ff[1, 1]\^2\)\) + \(\[ExponentialE]\^\(2\ r[1, 1]\)\ \
\((1 + p)\)\ \((\((ff[1, 0] - ff[1, 2])\)\^2 + \((ff[0, 1] - ff[2, \
1])\)\^2)\)\ u[1, 1]\)\/ff[1, 1]\^2 - \(\((1 + p)\)\ \((ff[0, 1] - ff[2, \
1])\)\^2\ u[1, 1]\)\/ff[1, 1]\^2 + \(\((\(-2\) + p)\)\ \((ff[1, 0] - ff[1, \
2])\)\ \((s[1, 0] - s[1, 2])\)\ u[1, 1]\)\/ff[1, 1] + \(\((\(-2\) + p)\)\ \
\((ff[0, 1] - ff[2, 1])\)\ \((s[0, 1] - s[2, 1])\)\ u[1, 1]\)\/ff[1, 1] + \
\(\((ff[1, 0] - ff[1, 2])\)\ \((t[1, 0] - t[1, 2])\)\ u[1, 1]\)\/\(ff[1, 1]\ \
t[1, 1]\) + \(\((ff[0, 1] - ff[2, 1])\)\ \((t[0, 1] - t[2, 1])\)\ u[1, 1]\)\/\
\(ff[1, 1]\ t[1, 1]\) + \(\((1 + p)\)\ \((ff[1, 0] - ff[1, 2])\)\ \((u[1, 0] \
- u[1, 2])\)\)\/ff[1, 1] - \((\(-2\) + p)\)\ \((s[1, 0] - 
              s[1, 2])\)\ \((u[1, 0] - 
              u[1, 2])\) - \(\((t[1, 0] - t[1, 2])\)\ \((u[1, 0] - u[1, 2])\)\
\)\/t[1, 1] + \(\((1 + p)\)\ \((ff[0, 1] - ff[2, 1])\)\ \((u[0, 1] - u[2, 1])\
\)\)\/ff[1, 1] - \((\(-2\) + p)\)\ \((s[0, 1] - s[2, 1])\)\ \((u[0, 1] - 
              u[2, 1])\) - \(\((t[0, 1] - t[2, 1])\)\ \((u[0, 1] - u[2, 1])\)\
\)\/t[1, 1])\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(srcS3 = FullSimplify[srcS2 /. {x \[Rule] 1, y \[Rule] 1}]\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcS3\\)\\\" is similar to existing symbols \
\\!\\({srcA3, srcB3, srcC3, srcD3, srcT3, srcU3}\\). \
\\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\
\\\", ButtonFrame->None, ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], \
"Message"],

Cell[BoxData[
    \(\(-\(\(1\/\(4\ DX\^2\)\)\((\(\((1 + p)\)\ \((ff[1, 0] - ff[1, \
2])\)\^2\)\/ff[1, 1]\^2 - \(\[ExponentialE]\^\(2\ r[1, 1]\)\ \((1 + p)\)\ \((\
\((ff[1, 0] - ff[1, 2])\)\^2 + \((ff[0, 1] - ff[2, 1])\)\^2)\)\)\/ff[1, 1]\^2 \
+ \(\((1 + p)\)\ \((ff[0, 1] - ff[2, 1])\)\^2\)\/ff[1, 1]\^2 - \(2\ \((\(-1\) \
+ p)\)\ \((ff[1, 0] - ff[1, 2])\)\ \((s[1, 0] - s[1, 2])\)\)\/ff[1, 1] + \
\((\(-2\) + 
                p)\)\ \((s[1, 0] - s[1, 2])\)\^2 - \(2\ \((\(-1\) + p)\)\ \
\((ff[0, 1] - ff[2, 1])\)\ \((s[0, 1] - s[2, 1])\)\)\/ff[1, 1] + \((\(-2\) + 
                p)\)\ \((s[0, 1] - s[2, 1])\)\^2 - \(\((ff[1, 0] - ff[1, \
2])\)\ \((t[1, 0] - t[1, 2])\)\)\/\(ff[1, 1]\ t[1, 1]\) + \(\((s[1, 0] - s[1, \
2])\)\ \((t[1, 0] - t[1, 2])\)\)\/t[1, 1] - \(\((ff[0, 1] - ff[2, 1])\)\ \
\((t[0, 1] - t[2, 1])\)\)\/\(ff[1, 1]\ t[1, 1]\) + \(\((s[0, 1] - s[2, 1])\)\ \
\((t[0, 1] - t[2, 1])\)\)\/t[1, 1] - \(\((ff[1, 0] - ff[1, 2])\)\ \((u[1, 0] \
- u[1, 2])\)\)\/\(ff[1, 1]\ u[1, 1]\) + \(\((s[1, 0] - s[1, 2])\)\ \((u[1, 0] \
- u[1, 2])\)\)\/u[1, 1] - \(\((ff[0, 1] - ff[2, 1])\)\ \((u[0, 1] - u[2, \
1])\)\)\/\(ff[1, 1]\ u[1, 1]\) + \(\((s[0, 1] - s[2, 1])\)\ \((u[0, 1] - u[2, \
1])\)\)\/u[1, 1])\)\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(srcR3 = FullSimplify[srcR2 /. {x \[Rule] 1, y \[Rule] 1}]\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(srcR3\\)\\\" is similar to existing symbols \
\\!\\({srcA3, srcB3, srcC3, srcD3, srcS3, srcT3, srcU3}\\). \
\\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\
\\\", ButtonFrame->None, ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], \
"Message"],

Cell[BoxData[
    \(\(\(1\/\(8\ DX\^2\)\)\((\(\((\(-2\) + p)\)\ \((1 + p)\)\ \((ff[1, 0] - \
ff[1, 2])\)\^2\)\/ff[1, 1]\^2 - \(\[ExponentialE]\^\(2\ r[1, 1]\)\ \((\(-2\) \
+ p)\)\ \((1 + p)\)\ \((\((ff[1, 0] - ff[1, 2])\)\^2 + \((ff[0, 1] - ff[2, \
1])\)\^2)\)\)\/ff[1, 1]\^2 + \(\((\(-2\) + p)\)\ \((1 + p)\)\ \((ff[0, 1] - \
ff[2, 1])\)\^2\)\/ff[1, 1]\^2 - \(2\ \((\(-2\) + p)\)\ \((\(-1\) + p)\)\ \
\((ff[1, 0] - ff[1, 2])\)\ \((s[1, 0] - s[1, 2])\)\)\/ff[1, 1] + \((\(-3\) + 
              p)\)\ \((\(-2\) + 
              p)\)\ \((s[1, 0] - s[1, 2])\)\^2 - \(2\ \((\(-2\) + p)\)\ \
\((\(-1\) + p)\)\ \((ff[0, 1] - ff[2, 1])\)\ \((s[0, 1] - s[2, 1])\)\)\/ff[1, \
1] + \((\(-3\) + p)\)\ \((\(-2\) + 
              p)\)\ \((s[0, 1] - s[2, 1])\)\^2 - \(2\ \((\(-1\) + p)\)\ \
\((ff[1, 0] - ff[1, 2])\)\ \((t[1, 0] - t[1, 2])\)\)\/\(ff[1, 1]\ t[1, 1]\) + \
\(2\ \((\(-2\) + p)\)\ \((s[1, 0] - s[1, 2])\)\ \((t[1, 0] - t[1, \
2])\)\)\/t[1, 1] - \(2\ \((\(-1\) + p)\)\ \((ff[0, 1] - ff[2, 1])\)\ \((t[0, \
1] - t[2, 1])\)\)\/\(ff[1, 1]\ t[1, 1]\) + \(2\ \((\(-2\) + p)\)\ \((s[0, 1] \
- s[2, 1])\)\ \((t[0, 1] - t[2, 1])\)\)\/t[1, 1] - \(2\ \((\(-1\) + p)\)\ \
\((ff[1, 0] - ff[1, 2])\)\ \((u[1, 0] - u[1, 2])\)\)\/\(ff[1, 1]\ u[1, 1]\) + \
\(2\ \((\(-2\) + p)\)\ \((s[1, 0] - s[1, 2])\)\ \((u[1, 0] - u[1, \
2])\)\)\/u[1, 1] + \(2\ \((t[1, 0] - t[1, 2])\)\ \((u[1, 0] - u[1, \
2])\)\)\/\(t[1, 1]\ u[1, 1]\) - \(2\ \((\(-1\) + p)\)\ \((ff[0, 1] - ff[2, \
1])\)\ \((u[0, 1] - u[2, 1])\)\)\/\(ff[1, 1]\ u[1, 1]\) + \(2\ \((\(-2\) + p)\
\)\ \((s[0, 1] - s[2, 1])\)\ \((u[0, 1] - u[2, 1])\)\)\/u[1, 1] + \(2\ \
\((t[0, 1] - t[2, 1])\)\ \((u[0, 1] - u[2, 1])\)\)\/\(t[1, 1]\ u[1, 1]\))\)\)\
\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(repl = {Exp[x_] \[Rule] exp[x], 
        Power[x_, y_] \[Rule] pow[x, y]}\)], "Input"],

Cell[BoxData[
    \({\[ExponentialE]\^x_ \[Rule] exp[x], 
      x_\^y_ \[Rule] pow[x, y]}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CForm[srcT3 //. repl]\)], "Input"],

Cell["\<\
(pow(DX,-2)*pow(ff(1,1),-2)*pow(u(1,1),-1)*((1 + p)*(-1 + exp(2*r(1,1)))*
        (pow(ff(1,0) - ff(1,2),2) + pow(ff(0,1) - ff(2,1),2))*t(1,1)*u(1,1) + \

       pow(ff(1,1),2)*(-((t(1,0) - t(1,2))*(u(1,0) + (-2 + p)*(s(1,0) - \
s(1,2))*u(1,1) - u(1,2))) + 
          t(2,1)*(u(0,1) + (-2 + p)*(s(0,1) - s(2,1))*u(1,1) - u(2,1)) + 
          t(0,1)*(-u(0,1) - (-2 + p)*(s(0,1) - s(2,1))*u(1,1) + u(2,1))) + 
       ff(1,1)*((ff(1,0) - ff(1,2))*((1 + p)*(t(1,0) - t(1,2))*u(1,1) + 
             t(1,1)*(u(1,0) + (-2 + p)*(s(1,0) - s(1,2))*u(1,1) - u(1,2))) + 
          ff(0,1)*((1 + p)*(t(0,1) - t(2,1))*u(1,1) + t(1,1)*(u(0,1) + (-2 + \
p)*(s(0,1) - s(2,1))*u(1,1) - u(2,1))) + 
          ff(2,1)*(-((1 + p)*(t(0,1) - t(2,1))*u(1,1)) + t(1,1)*(-u(0,1) - \
(-2 + p)*(s(0,1) - s(2,1))*u(1,1) + u(2,1))))))/
   4.\
\>", "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CForm[srcU3 //. repl]\)], "Input"],

Cell["\<\
(pow(DX,-2)*(-((1 + p)*pow(ff(1,1),-2)*pow(ff(1,0) - ff(1,2),2)*u(1,1)) - 
       (1 + p)*pow(ff(1,1),-2)*pow(ff(0,1) - ff(2,1),2)*u(1,1) + 
       (1 + p)*exp(2*r(1,1))*pow(ff(1,1),-2)*(pow(ff(1,0) - ff(1,2),2) + \
pow(ff(0,1) - ff(2,1),2))*u(1,1) + 
       (-2 + p)*(ff(1,0) - ff(1,2))*pow(ff(1,1),-1)*(s(1,0) - s(1,2))*u(1,1) \
+ 
       (-2 + p)*(ff(0,1) - ff(2,1))*pow(ff(1,1),-1)*(s(0,1) - s(2,1))*u(1,1) \
+ 
       (ff(1,0) - ff(1,2))*pow(ff(1,1),-1)*pow(t(1,1),-1)*(t(1,0) - \
t(1,2))*u(1,1) + 
       (ff(0,1) - ff(2,1))*pow(ff(1,1),-1)*pow(t(1,1),-1)*(t(0,1) - \
t(2,1))*u(1,1) + 
       (1 + p)*(ff(1,0) - ff(1,2))*pow(ff(1,1),-1)*(u(1,0) - u(1,2)) - (-2 + \
p)*(s(1,0) - s(1,2))*(u(1,0) - u(1,2)) - 
       pow(t(1,1),-1)*(t(1,0) - t(1,2))*(u(1,0) - u(1,2)) + 
       (1 + p)*(ff(0,1) - ff(2,1))*pow(ff(1,1),-1)*(u(0,1) - u(2,1)) - (-2 + \
p)*(s(0,1) - s(2,1))*(u(0,1) - u(2,1)) - 
       pow(t(1,1),-1)*(t(0,1) - t(2,1))*(u(0,1) - u(2,1))))/4.\
\>", "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CForm[srcS3 //. repl]\)], "Input"],

Cell["\<\
-(pow(DX,-2)*((1 + p)*pow(ff(1,1),-2)*pow(ff(1,0) - ff(1,2),2) + (1 + \
p)*pow(ff(1,1),-2)*pow(ff(0,1) - ff(2,1),2) - 
        (1 + p)*exp(2*r(1,1))*pow(ff(1,1),-2)*(pow(ff(1,0) - ff(1,2),2) + \
pow(ff(0,1) - ff(2,1),2)) + 
        (-2 + p)*pow(s(1,0) - s(1,2),2) + (-2 + p)*pow(s(0,1) - s(2,1),2) - 
        2*(-1 + p)*(ff(1,0) - ff(1,2))*pow(ff(1,1),-1)*(s(1,0) - s(1,2)) - 
        2*(-1 + p)*(ff(0,1) - ff(2,1))*pow(ff(1,1),-1)*(s(0,1) - s(2,1)) - 
        (ff(1,0) - ff(1,2))*pow(ff(1,1),-1)*pow(t(1,1),-1)*(t(1,0) - t(1,2)) \
+ 
        pow(t(1,1),-1)*(s(1,0) - s(1,2))*(t(1,0) - t(1,2)) - 
        (ff(0,1) - ff(2,1))*pow(ff(1,1),-1)*pow(t(1,1),-1)*(t(0,1) - t(2,1)) \
+ 
        pow(t(1,1),-1)*(s(0,1) - s(2,1))*(t(0,1) - t(2,1)) - 
        (ff(1,0) - ff(1,2))*pow(ff(1,1),-1)*pow(u(1,1),-1)*(u(1,0) - u(1,2)) \
+ 
        pow(u(1,1),-1)*(s(1,0) - s(1,2))*(u(1,0) - u(1,2)) - 
        (ff(0,1) - ff(2,1))*pow(ff(1,1),-1)*pow(u(1,1),-1)*(u(0,1) - u(2,1)) \
+ 
        pow(u(1,1),-1)*(s(0,1) - s(2,1))*(u(0,1) - u(2,1))))/4.\
\>", "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CForm[srcR3 //. repl]\)], "Input"],

Cell["\<\
(pow(DX,-2)*((-2 + p)*(1 + p)*pow(ff(1,1),-2)*pow(ff(1,0) - ff(1,2),2) + 
       (-2 + p)*(1 + p)*pow(ff(1,1),-2)*pow(ff(0,1) - ff(2,1),2) - 
       (-2 + p)*(1 + p)*exp(2*r(1,1))*pow(ff(1,1),-2)*(pow(ff(1,0) - \
ff(1,2),2) + pow(ff(0,1) - ff(2,1),2)) + 
       (-3 + p)*(-2 + p)*pow(s(1,0) - s(1,2),2) + (-3 + p)*(-2 + \
p)*pow(s(0,1) - s(2,1),2) - 
       2*(-2 + p)*(-1 + p)*(ff(1,0) - ff(1,2))*pow(ff(1,1),-1)*(s(1,0) - \
s(1,2)) - 
       2*(-2 + p)*(-1 + p)*(ff(0,1) - ff(2,1))*pow(ff(1,1),-1)*(s(0,1) - \
s(2,1)) - 
       2*(-1 + p)*(ff(1,0) - ff(1,2))*pow(ff(1,1),-1)*pow(t(1,1),-1)*(t(1,0) \
- t(1,2)) + 
       2*(-2 + p)*pow(t(1,1),-1)*(s(1,0) - s(1,2))*(t(1,0) - t(1,2)) - 
       2*(-1 + p)*(ff(0,1) - ff(2,1))*pow(ff(1,1),-1)*pow(t(1,1),-1)*(t(0,1) \
- t(2,1)) + 
       2*(-2 + p)*pow(t(1,1),-1)*(s(0,1) - s(2,1))*(t(0,1) - t(2,1)) - 
       2*(-1 + p)*(ff(1,0) - ff(1,2))*pow(ff(1,1),-1)*pow(u(1,1),-1)*(u(1,0) \
- u(1,2)) + 
       2*(-2 + p)*pow(u(1,1),-1)*(s(1,0) - s(1,2))*(u(1,0) - u(1,2)) + 
       2*pow(t(1,1),-1)*pow(u(1,1),-1)*(t(1,0) - t(1,2))*(u(1,0) - u(1,2)) - 
       2*(-1 + p)*(ff(0,1) - ff(2,1))*pow(ff(1,1),-1)*pow(u(1,1),-1)*(u(0,1) \
- u(2,1)) + 
       2*(-2 + p)*pow(u(1,1),-1)*(s(0,1) - s(2,1))*(u(0,1) - u(2,1)) + 
       2*pow(t(1,1),-1)*pow(u(1,1),-1)*(t(0,1) - t(2,1))*(u(0,1) - \
u(2,1))))/8.\
\>", "Output"]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1400}, {0, 969}},
WindowSize->{987, 740},
WindowMargins->{{0, Automatic}, {Automatic, 0}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 99, 2, 33, "Text"],
Cell[1856, 55, 43, 1, 30, "Input"],

Cell[CellGroupData[{
Cell[1924, 60, 192, 5, 70, "Subsubtitle"],

Cell[CellGroupData[{
Cell[2141, 69, 11069, 287, 427, "Input"],
Cell[13213, 358, 356, 5, 22, "Message"],
Cell[13572, 365, 355, 5, 22, "Message"],
Cell[13930, 372, 361, 5, 22, "Message"],
Cell[14294, 379, 386, 7, 22, "Message"],
Cell[14683, 388, 355, 5, 22, "Message"],
Cell[15041, 395, 361, 5, 22, "Message"]
}, Open  ]],
Cell[15417, 403, 28, 0, 33, "Text"],

Cell[CellGroupData[{
Cell[15470, 407, 2408, 64, 52, "Input"],
Cell[17881, 473, 2276, 67, 82, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20194, 545, 53, 1, 30, "Input"],
Cell[20250, 548, 1866, 53, 87, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[22153, 606, 53, 1, 30, "Input"],
Cell[22209, 609, 358, 5, 22, "Message"],
Cell[22570, 616, 1866, 53, 87, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[24473, 674, 53, 1, 30, "Input"],
Cell[24529, 677, 358, 5, 22, "Message"],
Cell[24890, 684, 2459, 71, 88, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[27386, 760, 53, 1, 30, "Input"],
Cell[27442, 763, 365, 5, 22, "Message"],
Cell[27810, 770, 3599, 99, 131, "Output"]
}, Open  ]],
Cell[31424, 872, 905, 19, 150, "Input"],

Cell[CellGroupData[{
Cell[32354, 895, 90, 1, 30, "Input"],
Cell[32447, 898, 435, 6, 78, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[32919, 909, 90, 1, 30, "Input"],
Cell[33012, 912, 358, 5, 22, "Message"],
Cell[33373, 919, 551, 8, 78, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[33961, 932, 90, 1, 30, "Input"],
Cell[34054, 935, 358, 5, 22, "Message"],
Cell[34415, 942, 538, 8, 87, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[34990, 955, 90, 1, 30, "Input"],
Cell[35083, 958, 365, 5, 22, "Message"],
Cell[35451, 965, 826, 12, 158, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[36314, 982, 106, 2, 30, "Input"],
Cell[36423, 986, 354, 5, 22, "Message"],
Cell[36780, 993, 103, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[36920, 1000, 54, 1, 30, "Input"],
Cell[36977, 1003, 325, 6, 94, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[37339, 1014, 54, 1, 30, "Input"],
Cell[37396, 1017, 305, 6, 77, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[37738, 1028, 54, 1, 30, "Input"],
Cell[37795, 1031, 428, 8, 111, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[38260, 1044, 54, 1, 30, "Input"],
Cell[38317, 1047, 650, 15, 145, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[39016, 1068, 123, 3, 30, "Subsubtitle"],

Cell[CellGroupData[{
Cell[39164, 1075, 7243, 185, 169, "Input"],
Cell[46410, 1262, 369, 6, 22, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[46816, 1273, 7243, 185, 169, "Input"],
Cell[54062, 1460, 373, 5, 22, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[54472, 1470, 7437, 195, 169, "Input"],
Cell[61912, 1667, 379, 5, 22, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[62328, 1677, 9364, 235, 209, "Input"],
Cell[71695, 1914, 387, 6, 22, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[72119, 1925, 2408, 64, 52, "Input"],
Cell[74530, 1991, 2276, 67, 82, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[76843, 2063, 53, 1, 30, "Input"],
Cell[76899, 2066, 372, 5, 22, "Message"],
Cell[77274, 2073, 6032, 169, 169, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[83343, 2247, 53, 1, 30, "Input"],
Cell[83399, 2250, 379, 5, 22, "Message"],
Cell[83781, 2257, 6032, 169, 169, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[89850, 2431, 53, 1, 30, "Input"],
Cell[89906, 2434, 388, 6, 22, "Message"],
Cell[90297, 2442, 6472, 185, 169, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[96806, 2632, 53, 1, 30, "Input"],
Cell[96862, 2635, 395, 6, 37, "Message"],
Cell[97260, 2643, 7745, 213, 211, "Output"]
}, Open  ]],
Cell[105020, 2859, 102, 3, 33, "Text"],
Cell[105125, 2864, 1137, 24, 190, "Input"],

Cell[CellGroupData[{
Cell[106287, 2892, 90, 1, 30, "Input"],
Cell[106380, 2895, 372, 5, 22, "Message"],
Cell[106755, 2902, 1640, 29, 140, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[108432, 2936, 90, 1, 30, "Input"],
Cell[108525, 2939, 379, 5, 22, "Message"],
Cell[108907, 2946, 1250, 18, 270, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[110194, 2969, 90, 1, 30, "Input"],
Cell[110287, 2972, 388, 6, 22, "Message"],
Cell[110678, 2980, 1226, 17, 234, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[111941, 3002, 90, 1, 30, "Input"],
Cell[112034, 3005, 395, 6, 37, "Message"],
Cell[112432, 3013, 1698, 24, 342, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[114167, 3042, 106, 2, 30, "Input"],
Cell[114276, 3046, 103, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[114416, 3053, 54, 1, 30, "Input"],
Cell[114473, 3056, 837, 15, 196, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[115347, 3076, 54, 1, 30, "Input"],
Cell[115404, 3079, 983, 19, 213, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[116424, 3103, 54, 1, 30, "Input"],
Cell[116481, 3106, 1056, 20, 247, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[117574, 3131, 54, 1, 30, "Input"],
Cell[117631, 3134, 1364, 26, 298, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

